package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel
public class Permission implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "id", value = "ID", dataType = "Integer")
    private Integer id;
    @ApiModelProperty(name = "name", value = "权限名称", dataType = "String")
    private String name;
    @ApiModelProperty(name = "name", value = "权限", dataType = "String", example = "GET::/user-service/user/permissions")
    private String url;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }
}